Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | List of all members
eZ\Publish\Core\Persistence\Legacy\Notification\Mapper Class Reference

## Public Member Functions
| extractNotificationsFromRows (array $rows)
| Extracts Bookmark objects from $rows. More...
| createNotificationFromUpdateStruct (UpdateStruct $updateStruct)

## Private Member Functions
| extractNotificationFromRow (array $row)
| Extract Bookmark object from $row. More...

## Detailed Description

Definition at line 15 of file Publish/Core/Persistence/Legacy/Notification/Mapper.php.

## Member Function Documentation

## ◆ createNotificationFromUpdateStruct()

eZ\Publish\Core\Persistence\Legacy\Notification\Mapper::createNotificationFromUpdateStruct | ( | UpdateStruct | $updateStruct | ) |

Parameters

  \eZ\Publish\SPI\Persistence\Notification\UpdateStruct | $updateStruct |

Returns
  \eZ\Publish\SPI\Persistence\Notification\Notification

Definition at line 39 of file Publish/Core/Persistence/Legacy/Notification/Mapper.php.

## ◆ extractNotificationFromRow()

eZ\Publish\Core\Persistence\Legacy\Notification\Mapper::extractNotificationFromRow | ( | array | $row | ) |
| private

Extract Bookmark object from $row.

Parameters

  array | $row |

Returns
  \eZ\Publish\SPI\Persistence\Notification\Notification

Definition at line 54 of file Publish/Core/Persistence/Legacy/Notification/Mapper.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Notification\Mapper\extractNotificationsFromRows().

## ◆ extractNotificationsFromRows()

eZ\Publish\Core\Persistence\Legacy\Notification\Mapper::extractNotificationsFromRows | ( | array | $rows | ) |

Extracts Bookmark objects from $rows.

Parameters

  array | $rows |

Returns
  \eZ\Publish\SPI\Persistence\Notification\Notification[]

Definition at line 24 of file Publish/Core/Persistence/Legacy/Notification/Mapper.php.

References eZ\Publish\Core\Persistence\Legacy\Notification\Mapper\extractNotificationFromRow().

The documentation for this class was generated from the following file:

- Publish/Core/Persistence/Legacy/Notification/Mapper.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.